#ifndef BLOCK_INCLUDED
#define BLOCK_INCLUDED
#include <stdio.h>
#include "tally.h"

#define T Block_T
typedef struct T *T;

extern T Block_new (int positions);
extern void Block_free (T *block);
extern Tally_T Block_get (T block, int position);
extern void Block_put (T block, int i, Tally_T tally);
extern int Block_positions (T block);
extern T Block_read_new (FILE *fp, int positions);
extern void Block_print (T block);

#undef T
#endif
